XtAppCreateShell(3Xt)

NAME
XtAppCreateShell, XtVaAppCreateShell - create top-level widget instance

SYNTAX
Widget XtAppCreateShell(application_name, application_class, widget_class, display, args, num_args)
      String application_name;
      String application_class;
      WidgetClass widget_class;
      Display *display;
      ArgList args;
      Cardinal num_args;

Widget XtVaAppCreateShell(application_name, application_class, widget_class, display, ...)
      String application_name;
      String application_class;
      WidgetClass widget_class;
      Display *display;

ARGUMENTS

application_name
    Specifies the name of the application instance.

application_class
    Specifies the class name of this application.

widget_class
    Specifies the widget class that the application top-level widget should be.

display
    Specifies the display from which to get the resources.

args
    Specifies the argument list from which to get the resources.

num_args
    Specifies the number of arguments in the argument list.

... Specifies the variable argument list from which to get the resources.

DESCRIPTION
The function saves the specified application name and application class for qualifying all widget resource specifiers. The application name and application class are used as the left-most components in all widget resource names for this application. should be used to create a new logical application within a program or to create a shell on another display. In the first case, it allows the specification of a new root in the resource hierarchy. In the second case, it uses the resource database associated with the other display.

Note that the widget returned by has the WM_COMMAND property set for session managers (see Chapter 4).

SEE ALSO
XtCreateWidget(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface